CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2018-20860

libopenmpt before 0.3.13 allows a crash with malformed MED files.
Publish Date : 2019-07-30 Last Update Date : 2019-09-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 20

- Products Affected By CVE-2018-20860

# Product Type Vendor Product Version Update Edition Language
1 Application Openmpt Libopenmpt 0.2.10049 Beta31 Version Details Vulnerabilities
2 Application Openmpt Libopenmpt 0.2.10172 Beta32 Version Details Vulnerabilities
3 Application Openmpt Libopenmpt 0.2.10495 Beta33 Version Details Vulnerabilities
4 Application Openmpt Libopenmpt 0.2.10635 Beta34 Version Details Vulnerabilities
5 Application Openmpt Libopenmpt 0.2.10859 Beta35 Version Details Vulnerabilities
6 Application Openmpt Libopenmpt 0.2.10933 Beta36 Version Details Vulnerabilities
7 Application Openmpt Libopenmpt 0.2.11253 Beta37 Version Details Vulnerabilities
8 Application Openmpt Libopenmpt 0.2.11539 Beta38 Version Details Vulnerabilities
9 Application Openmpt Libopenmpt 0.2.3532 Beta1 Version Details Vulnerabilities
10 Application Openmpt Libopenmpt 0.2.3566 Beta2 Version Details Vulnerabilities
11 Application Openmpt Libopenmpt 0.2.3746 Beta3 Version Details Vulnerabilities
12 Application Openmpt Libopenmpt 0.2.3773 Beta4 Version Details Vulnerabilities
13 Application Openmpt Libopenmpt 0.2.4115 Beta5 Version Details Vulnerabilities
14 Application Openmpt Libopenmpt 0.2.4238 Beta6 Version Details Vulnerabilities
15 Application Openmpt Libopenmpt 0.2.4259 Beta7 Version Details Vulnerabilities
16 Application Openmpt Libopenmpt 0.2.4664 Beta8 Version Details Vulnerabilities
17 Application Openmpt Libopenmpt 0.2.4667 Beta9 Version Details Vulnerabilities
18 Application Openmpt Libopenmpt 0.2.4764 Beta10 Version Details Vulnerabilities
19 Application Openmpt Libopenmpt 0.2.4943 Beta11 Version Details Vulnerabilities
20 Application Openmpt Libopenmpt 0.2.4954 Beta12 Version Details Vulnerabilities
21 Application Openmpt Libopenmpt 0.2.5486 Beta13 Version Details Vulnerabilities
22 Application Openmpt Libopenmpt 0.2.5602 Beta14 Version Details Vulnerabilities
23 Application Openmpt Libopenmpt 0.2.5705 Beta15 Version Details Vulnerabilities
24 Application Openmpt Libopenmpt 0.2.5787 Beta16 Version Details Vulnerabilities
25 Application Openmpt Libopenmpt 0.2.6401 Beta17 Version Details Vulnerabilities
26 Application Openmpt Libopenmpt 0.2.6611 Beta18 Version Details Vulnerabilities
27 Application Openmpt Libopenmpt 0.2.6664 Beta19 Version Details Vulnerabilities
28 Application Openmpt Libopenmpt 0.2.6774 Beta20 Version Details Vulnerabilities
29 Application Openmpt Libopenmpt 0.2.7025 Beta20.1 Version Details Vulnerabilities
30 Application Openmpt Libopenmpt 0.2.7299 Beta20.2 Version Details Vulnerabilities
31 Application Openmpt Libopenmpt 0.2.7386 Beta20.3 Version Details Vulnerabilities
32 Application Openmpt Libopenmpt 0.2.7559 Beta20.4 Version Details Vulnerabilities
33 Application Openmpt Libopenmpt 0.2.7561 Beta20.5 Version Details Vulnerabilities
34 Application Openmpt Libopenmpt 0.2.7774 Beta22 Version Details Vulnerabilities
35 Application Openmpt Libopenmpt 0.2.8043 Beta23 Version Details Vulnerabilities
36 Application Openmpt Libopenmpt 0.2.8190 Beta24 Version Details Vulnerabilities
37 Application Openmpt Libopenmpt 0.2.8414 Beta25 Version Details Vulnerabilities
38 Application Openmpt Libopenmpt 0.2.8461 Beta26 Version Details Vulnerabilities
39 Application Openmpt Libopenmpt 0.2.8760 Beta27 Version Details Vulnerabilities
40 Application Openmpt Libopenmpt 0.2.9227 Beta28 Version Details Vulnerabilities
41 Application Openmpt Libopenmpt 0.2.95422 Beta29 Version Details Vulnerabilities
42 Application Openmpt Libopenmpt 0.2.9913 Beta30 Version Details Vulnerabilities
43 Application Openmpt Libopenmpt 0.3.0 RC1 Version Details Vulnerabilities
44 Application Openmpt Libopenmpt 0.3.0 Version Details Vulnerabilities
45 Application Openmpt Libopenmpt 0.3.0 - Version Details Vulnerabilities
46 Application Openmpt Libopenmpt 0.3.1 Version Details Vulnerabilities
47 Application Openmpt Libopenmpt 0.3.2 Version Details Vulnerabilities
48 Application Openmpt Libopenmpt 0.3.3 Version Details Vulnerabilities
49 Application Openmpt Libopenmpt 0.3.4 Version Details Vulnerabilities
50 Application Openmpt Libopenmpt 0.3.5 Version Details Vulnerabilities
51 Application Openmpt Libopenmpt 0.3.6 Version Details Vulnerabilities
52 Application Openmpt Libopenmpt 0.3.7 Version Details Vulnerabilities
53 Application Openmpt Libopenmpt 0.3.8 Version Details Vulnerabilities
54 Application Openmpt Libopenmpt 0.3.9 Version Details Vulnerabilities
55 Application Openmpt Libopenmpt 0.3.10 Version Details Vulnerabilities
56 Application Openmpt Libopenmpt 0.3.11 Version Details Vulnerabilities
57 Application Openmpt Libopenmpt 0.3.12 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Openmpt Libopenmpt 57

- References For CVE-2018-20860

http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00084.html
SUSE openSUSE-SU-2019:2213
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00085.html
SUSE openSUSE-SU-2019:2212
https://lib.openmpt.org/libopenmpt/2018/10/21/security-updates-0.3.13-0.2.10933-beta36-0.2.7561-beta20.5-p11-0.2.7386-beta20.3-p14/

- Metasploit Modules Related To CVE-2018-20860

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.